<script lang="ts">
import { CtfHeaderAndText } from '~/models';
export default {
  name: 'Block',
  props: {
    data: {
      type: Object as () => CtfHeaderAndText,
      required: true,
      default: null,
    },
  },
};
</script>

<template>
  <section class="free-trial-block">
    <SlpContainer>
      <SlpTypography
        v-if="data.header"
        tag="h2"
        variant="heading2-bold"
        class="slp-mb-32"
      >
        {{ data.header }}
      </SlpTypography>
      <SlpTypography
        v-if="data.text"
        tag="div"
        variant="body1"
        class="slp-mb-64 free-trial-block__text"
      >
        <div v-html="$md.render(data.text)"></div>
      </SlpTypography>
    </SlpContainer>
  </section>
</template>

<style lang="scss" scoped>
.free-trial-block {
  &__text {
    &:deep {
      p {
        margin: 16px 0;

        strong {
          font-weight: 600;
        }
      }
    }
  }
}
</style>
